User mail address should either be always optional or always required
Status: New   

Priority: Normal   

Assignee:    

Category: Authentication   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1204686 Red Hat JIRA:  

Pull request:    

Description

The design of forcing a user to set their e-mail address on login should perhaps change to have the e-mail address as an optional

field and not force anybody to set it - or have it required, but that'd introduce issues with certain auth sources.

This would eliminate the inconsistency between admins and the users themselves evident in #5897.

Related issues:

Related to Foreman - Bug #5897: Missing user mail address should not be requi... Closed 05/23/2014

Related to Foreman - Bug #12542: User can be created - with empty email addre... Rejected 11/19/2015

Related to Foreman - Bug #15466: New User without email should not be shown a... Closed 06/20/2016

Has duplicate Foreman - Bug #12901: user email field is not marked as require... Duplicate 12/21/2015

History

#1 - 06/29/2015 07:32 AM - Dominic Cleal

- Related to Bug #5897: Missing user mail address should not be required for admin updating a user added

#2 - 11/20/2015 02:49 AM - Dominic Cleal

- Related to Bug #12542: User can be created - with empty email address - It should not allow to do so added

#3 - 12/02/2015 03:09 PM - Bryan Kearney

- Bugzilla link set to 1204686

#4 - 12/22/2015 02:49 AM - Dominic Cleal

- Has duplicate Bug #12901: user email field is not marked as required yet it is added

#5 - 06/20/2016 07:33 AM - Timo Goebel

- Related to Bug #15466: New User without email should not be shown a success message added
